## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelCameraMode Member List

This is the complete list of members for iCelCameraMode, including all inherited members.

DecideCameraState()=0 | iCelCameraMode | `[pure virtual]`
DrawAttachedMesh() const =0 | iCelCameraMode | `[pure virtual]`
GetDirection() const =0 | iCelCameraMode | `[pure virtual]`
GetPosition() const =0 | iCelCameraMode | `[pure virtual]`
GetSpringCoefficient() const =0 | iCelCameraMode | `[pure virtual]`
GetUp() const =0 | iCelCameraMode | `[pure virtual]`
SetParentCamera(iPcNewCamera *camera)=0 | iCelCameraMode | `[pure virtual]`
UseSpringDir() const =0 | iCelCameraMode | `[pure virtual]`
UseSpringPos() const =0 | iCelCameraMode | `[pure virtual]`
UseSpringUp() const =0 | iCelCameraMode | `[pure virtual]`